import request from '@/utils/request'

/**
 * 报警记录 API
 */

const WarnRecordApi = {
  findClientWarnRecord: '/warn-record/findClientWarnRecord',
  findCollectEntityWarnRecord: '/warn-record/findCollectEntityWarnRecord',
  clearWarnRecord: '/warn-record/clearWarnRecord',
}

export function findClientWarnRecord(parameter) {
  return request({
    url: WarnRecordApi.findClientWarnRecord,
    method: 'get',
    params: parameter
  })
}

export function findCollectEntityWarnRecord(parameter) {
  return request({
    url: WarnRecordApi.findCollectEntityWarnRecord,
    method: 'get',
    params: parameter
  })
}

export function clearWarnRecord(parameter) {
  return request({
    url: WarnRecordApi.clearWarnRecord,
    method: 'delete',
    params: parameter
  })
}
